%global commit      5344f151fd3251726650dffd30a531d3f1bddc17
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# Presently required when building with GCC Go.
%global debug_package %{nil}
%global __strip /bin/true

Name:           nex
Version:        20151213
Release:        1%{?dist}
Summary:        A lexer generator for Go that is similar to Lex/Flex
License:        GPLv3
URL:            http://www-cs-students.stanford.edu/~blynn/nex/
Source0:        https://github.com/blynn/nex/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  gcc-go

%description
Nex is a lexer similar to Lex/Flex that: (1) generates Go code instead
of C code, (2) integrates with Go's Yacc instead of YACC/Bison, (3)
supports UTF-8, and (4) supports nested structural regular expressions.

%prep
%setup -q -n nex-%{commit}

%build
gccgo -g main.go nex.go -o nex

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./nex %{buildroot}%{_bindir}/nex

%files
%doc COPYING README.asciidoc
%{_bindir}/nex

%changelog
* Sun Feb 07 2016 W. Michael Petullo <mike@flyn.org> - 20151213-1
- Update to 20151213

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140621-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 W. Michael Petullo <mike@flyn.org> - 20140621-2
- Rebuild for new libgo

* Thu Sep 25 2014 W. Michael Petullo <mike@flyn.org> - 20140621-1
- Initial Fedora package
